package cn.ibizlab.core.rule.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.rule.domain.ExecResult;
/**
 * 关系型数据实体[ExecResult] 查询条件对象
 */
@Slf4j
@Data
public class ExecResultSearchContext extends QueryWrapperContext<ExecResult> {

	private String n_ru_execresultname_like;//[规则执行结果描述]
	public void setN_ru_execresultname_like(String n_ru_execresultname_like) {
        this.n_ru_execresultname_like = n_ru_execresultname_like;
        if(!ObjectUtils.isEmpty(this.n_ru_execresultname_like)){
            this.getSearchCond().like("ru_execresultname", n_ru_execresultname_like);
        }
    }
	private String n_ruleid_eq;//[规则标识]
	public void setN_ruleid_eq(String n_ruleid_eq) {
        this.n_ruleid_eq = n_ruleid_eq;
        if(!ObjectUtils.isEmpty(this.n_ruleid_eq)){
            this.getSearchCond().eq("ruleid", n_ruleid_eq);
        }
    }
	private String n_rulename_eq;//[规则标识]
	public void setN_rulename_eq(String n_rulename_eq) {
        this.n_rulename_eq = n_rulename_eq;
        if(!ObjectUtils.isEmpty(this.n_rulename_eq)){
            this.getSearchCond().eq("rulename", n_rulename_eq);
        }
    }
	private String n_rulename_like;//[规则标识]
	public void setN_rulename_like(String n_rulename_like) {
        this.n_rulename_like = n_rulename_like;
        if(!ObjectUtils.isEmpty(this.n_rulename_like)){
            this.getSearchCond().like("rulename", n_rulename_like);
        }
    }
	private String n_systemid_eq;//[系统标识]
	public void setN_systemid_eq(String n_systemid_eq) {
        this.n_systemid_eq = n_systemid_eq;
        if(!ObjectUtils.isEmpty(this.n_systemid_eq)){
            this.getSearchCond().eq("systemid", n_systemid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("ru_execresultname", query)
                        .or().like("keyvaluefield", query)
            );
		 }
	}
}



